cascading.tap.hadoop.util

## Class Hadoop18TapUtil

- java.lang.Object
- - cascading.tap.hadoop.util.Hadoop18TapUtil

-     public class Hadoop18TapUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TEMPORARY_PATH` The Hadoop temporary path used to prevent collisions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop18TapUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `cleanupJob(org.apache.hadoop.conf.Configuration conf)` May only be called once.
    `static void` | `cleanupTapMetaData(org.apache.hadoop.conf.Configuration conf, Tap tap)` Called from flow step to remove temp dirs
    `static void` | `commitTask(org.apache.hadoop.conf.Configuration conf)` copies all files from the taskoutputpath to the outputpath
    `static void` | `makeTempPath(org.apache.hadoop.conf.Configuration conf)`
    `static boolean` | `needsTaskCommit(org.apache.hadoop.conf.Configuration conf)`
    `static void` | `setupJob(org.apache.hadoop.conf.Configuration conf)` should only be called if not in a Flow
    `static void` | `setupTask(org.apache.hadoop.conf.Configuration conf)`
    `static void` | `writeSuccessMarker(org.apache.hadoop.conf.Configuration conf)`
    `static void` | `writeSuccessMarker(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path outputPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPORARY_PATH

          public static final java.lang.String TEMPORARY_PATH

      The Hadoop temporary path used to prevent collisions
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Hadoop18TapUtil

          public Hadoop18TapUtil()

  - ### Method Detail

    - #### setupJob

          public static void setupJob(org.apache.hadoop.conf.Configuration conf)
                               throws java.io.IOException

      should only be called if not in a Flow
      Parameters:
        `conf` -
      Throws:
        `java.io.IOException`

    - #### setupTask

          public static void setupTask(org.apache.hadoop.conf.Configuration conf)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### needsTaskCommit

          public static boolean needsTaskCommit(org.apache.hadoop.conf.Configuration conf)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### commitTask

          public static void commitTask(org.apache.hadoop.conf.Configuration conf)
                                 throws java.io.IOException

      copies all files from the taskoutputpath to the outputpath
      Parameters:
        `conf` -
      Throws:
        `java.io.IOException`

    - #### cleanupTapMetaData

          public static void cleanupTapMetaData(org.apache.hadoop.conf.Configuration conf,
                                Tap tap)
                                         throws java.io.IOException

      Called from flow step to remove temp dirs
      Parameters:
        `conf` -
      Throws:
        `java.io.IOException`

    - #### writeSuccessMarker

          public static void writeSuccessMarker(org.apache.hadoop.conf.Configuration conf)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeSuccessMarker

          public static void writeSuccessMarker(org.apache.hadoop.conf.Configuration conf,
                                org.apache.hadoop.fs.Path outputPath)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### cleanupJob

          public static void cleanupJob(org.apache.hadoop.conf.Configuration conf)
                                 throws java.io.IOException

      May only be called once. should only be called if not in a flow
      Parameters:
        `conf` -
      Throws:
        `java.io.IOException`

    - #### makeTempPath

          public static void makeTempPath(org.apache.hadoop.conf.Configuration conf)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.